Bug 981948 - [RFE] Consider to provide a vdsm-machine-clean-up utility to avoid undesirable behaviour after vdsm installation.
[RFE] Consider to provide a vdsm-machine-clean-up utility to avoid undesirabl...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Cathrow
yeylon@redhat.com
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 05:05 EDT by Tareq Alayan
Modified: 2016-04-18 02:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-22 05:35:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tareq Alayan 2013-07-07 05:05:46 EDT
Description of problem:
in 3.3 the vdsm-host is being added to the engine without rebooting after the installation is done.
This behaviour introduces some issues specially when the vdsm-host is being reused by many engines (our qe-env(Jenkins)).

Version-Release number of selected component (if applicable):
3.3

How reproducible:
always

Steps to Reproduce for example:
1. setup an engine and add host
2. create vms in up state
3. add the host to different engine

Actual results:
The host will be added, however:
1. qemu processes will stay up
2. iscsis sessions are still "logged in"
3. old cache under /rhev
4. old vgs
5. need to dmsetup remove all
6. maube running tasks  "vdsClient Tasks clean"
7. we mau need umount iso/export???  
8. restart libvirt 
9. restart rpcbind service 

Expected results:
host is up and clean and devoted to the new engine with no dirty remains

Additional info:
Comment 3 Itamar Heim 2014-06-22 05:35:43 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.